#include <avr/sleep.h> 

const byte pin1 = 12;
const byte pin2 = 11;

void setup() {
  pinMode(LED_BUILTIN, OUTPUT);
  pinMode(pin1, OUTPUT);
  pinMode(pin2, OUTPUT);

  cli(); // disable interrupts

  TCCR1A = 0;
  TCCR1B = 0;
  TCNT1  = 0;
//  OCR1A = 16000000 / (1024) - 1;  // 1hz increments
  OCR1A = 16000000 / (1024/2) - 1;  // 0.5hz increments
  
  TCCR1B |= (1 << WGM12); // CTC mode on
  TCCR1B |= (1 << CS12) | (1 << CS10); // 1024 prescaler
  TIMSK1 |= (1 << OCIE1A); // enable interrupt

  sei(); // enable interrupts
}

ISR(TIMER1_COMPA_vect){ 
  static bool b = false;
  byte a;
  
  b = !b;
  for (a=0; a<70; a++) {
    if (b) 
      digitalWrite(pin1, HIGH); else
      digitalWrite(pin2, HIGH); 
    
    delayMicroseconds(200);      
    digitalWrite(pin1, LOW); 
    digitalWrite(pin2, LOW); 
    delayMicroseconds(200);      
  }
}

void loop() {
  set_sleep_mode(SLEEP_MODE_IDLE); // 15 mA
  //set_sleep_mode(SLEEP_MODE_ADC); // 6.5 mA
  //set_sleep_mode(SLEEP_MODE_PWR_SAVE); // 1.62 mA
  //set_sleep_mode(SLEEP_MODE_EXT_STANDBY); // 1.62 mA
  //set_sleep_mode(SLEEP_MODE_STANDBY ); // 0.84 mA
  //set_sleep_mode(SLEEP_MODE_PWR_DOWN ); // 0.36 mA
  
  sleep_mode();
}
